Subject: [bug#28020] [PATCH] gnu: Add emacs-gitpatch.

From: Arun Isaac <[email-masked]>
Date: Thu, 10 Aug 2017 21:56:33 +0530

ng0 writes:

>     gnu: Add emacs-gitpatch.
>
>     By the way, “gitpatch.el” says different version than release tarball.
>     Do I need to ask a developer?
>     --8<---------------cut here---------------start------------->8---
>     ;; Author: Feng Shu <[email-masked]>
>     ;; Homepage: https://github.com/tumashu/gitpatch
>     ;; Keywords: convenience
>     ;; Package-Requires: ((emacs "24.3"))
>     ;; Version: 0.10
>     --8<---------------cut here---------------end--------------->8---
>
>     >From 9eddf07fa401468738c2f48a25e51ddef2a3ceed Mon Sep 17 00:00:00 2001
>     From: Oleg Pykhalov <[email-masked]>
>     Date: Sat, 29 Jul 2017 14:22:48 +0300
>     Subject: [PATCH] gnu: Add emacs-gitpatch.
>
>     * gnu/packages/emacs.scm (emacs-gitpatch): New variable.
>
>     Signed-off-by: Arun Isaac <[email-masked]>
>
> I appreciate the concerns, but
> I don't think the complete paragraph of "By the way…" should be in the
> commit message. Please place notes like this as "XXX: ..." or "TODO: ..."
> in the code if possible.
> Or is there any reason why this landed in the commit message?

Oops! I didn't notice it was there. Looks like I screwed up big time
while applying the patch. There's no way to change the commit message
now, is there?